# -*- mode: yaml; indent-tabs-mode: nil; tab-width: 2; coding: utf-8-unix -*-

---

# TOXCORE_FEATURES: ['virtualbox', 'libvirt', docker']

toxcore_system_users:   "{{ BOX_USER_NAME }}"
toxcore_also_users: "{{ BOX_ALSO_USERS }}"

toxcore_standard_users_groups:
  - disk
  - "{{ 'libvirt-qemu' if 'libvirt' in TOXCORE_FEATURES else '' }}"
  - "{{ 'kvm' if ( 'qemu' in TOXCORE_FEATURES or 'libvirt' in TOXCORE_FEATURES ) else '' }}"
  - "{{ 'docker' if 'docker' in TOXCORE_FEATURES else '' }}"

toxcore_libvirt_services:
  - "{{ 'libvirtd' if 'libvirt' in TOXCORE_FEATURES else '' }}"
  - "{{ 'virtlogd' if 'libvirt' in TOXCORE_FEATURES else '' }}"
  - "{{ 'docker' if 'docker' in TOXCORE_FEATURES else '' }}"

toxcore_debs_inst:
  - gpg
  - nbdkit
  - nbd-client
  - nbd-server
  - python3-yaml
  - gparted
  - ebtables
  - dnsmasq-base
  # vagrant-libvirt/README.md
  - libxslt-dev
  - libxml2-dev
  - zlib1g-dev
  - iptables
  - zstd
  - bridge-utils
  - sdparm
  - hdparm
  - libxml2
  - zerofree
  - openssh-sftp-server
  - sshfs
  - xmlstarlet
  - libtss2-tcti-swtpm0
# toxcore
  - libconfig-dev
  - libgtest-dev
  - ninja-build
  - pkg-config
  - zip
  - grep
  - file
  - ca-certificates
  - autotools-dev
  - autoconf
  - automake
  - git
  - bc
  - wget
  - rsync
  - cmake
  - make
  - pkg-config
  - libtool
  - ssh
  - gzip
  - tar
  - unzip
  - libcurl4-gnutls-dev
  - coreutils
  - libavutil-dev
  - libsodium-dev
  - libffms2-4
  - libgpac10
  - libx264-dev
  - x264
  - libv4lconvert0
  - libv4l-dev
  - libv4l-dev
  - libv4l2rds0
  - v4l-conf
  - v4l-utils
  - libv4l-dev
  - libtool
  - autotools-dev
  - automake
  - checkinstall
  - check
  - git
  - yasm
  - libv4lconvert0
  - libv4l-dev
  - libopus-dev
  - libvpx-dev
  - pkg-config
  - libx264-dev
  - libavcodec-dev
  - libavdevice-dev
# nbd
  - genisoimage
  - bridge-utils
  - guestfsd
  - libvirt-clients
  - libvirt-daemon
  - libvirt-daemon-system
  - libvirt-daemon-driver-storage-zfs
  - python3-libvirt
  - virt-manager
  - virtinst
  - python3-hacking
#  - cloud-init

toxcore_qemu_debs_inst:
  - qemu-kvm
  - qemu
  - qemu-block-extra
  - qemu-system-common
  - qemu-system-data
  - qemu-system-x86
  - qemu-utils
  - guestfsd
  - grub-firmware-qemu
  - nbd-client
  - aqemu
  - seabios
  - squashfs-tools
  - attr
  - zerofree
  - nbdkit
  - sgabios
  - lzop
  - firmware-realtek
  - firmware-linux-free

proxy_libvirt_debs_inst:
  - libvirt-daemon-system
  - libvirt-daemon
  - libvirt-daemon-driver-vbox
  - libvirt-daemon-driver-qemu
  - libvirt-clients
  - libvirt-daemon-driver-storage-zfs
  - python3-libvirt
  - virt-manager
  - virtinst
  - usbutils
  - usb.ids
  - guestfsd
  - libguestfs-perl
  - libguestfs-tools
  #
  - genisoimage
  - bridge-utils
  - guestfsd
  - python3-hacking
#?  - cloud-init

toxcore_lxd_debs_absent:
  - lxd
  - lxd-client
  - lxcfs
  - liblxc1
  - liblxc-common

toxcore_lxd_debs_inst:
  - lxcfs
  - zfsutils-linux

# see proxy_libvirt_debs_inst
toxcore_libvirt_debs_inst:
  - python3-libvirt
  - libvirt-dev
  - libguestfs
  - libguestfs-tools
  # OUCH 4G!
  - libguestfs-appliance
  - virt-top

toxcore_packer_debs_inst:
  - jq

toxcore_docker_debs_inst:
  - aufs-tools
  - cgroup-lite
  - linux-image-extra-virtual
  - docker.io
#  - docker-compose

toxcore_ansible_debs_inst:
  - jinja
  - pycrypto
  - python-ecdsa
  - python-httplib2
  - python-jinja2
  - python-markupsafe
  - python-paramiko

toxcore_aws_debs_inst:
# for aws
  - boto
  - bs4
  - awscli

toxcore_pips2_inst: []

toxcore_pips3_inst:
  - pycrypto
  - pywinrm
  - requests-unixsocket
  - ovirt-engine-sdk-python
  - msgpack_python
  - pysha3
  - pycryptodomex

